Package org.apache.felix.http.base.internal.wrappers

# Class PreprocessorWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.FilterWrapper
org.apache.felix.http.base.internal.wrappers.PreprocessorWrapper

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.osgi.service.servlet.whiteboard.Preprocessor`

public class PreprocessorWrapper extends org.apache.felix.http.jakartawrappers.FilterWrapper implements org.osgi.service.servlet.whiteboard.Preprocessor
Preprocessor wrapper

## Constructor Summary

Constructors
Constructor
Description
`PreprocessorWrapper(javax.servlet.Filter filter)`
Create new preprocessor

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.http.whiteboard.Preprocessor`
`getPreprocessor()`
Get the preprocessor

### Methods inherited from class org.apache.felix.http.jakartawrappers.FilterWrapper

`destroy, doFilter, getFilter, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Filter

`destroy, doFilter, init`

## Constructor Details

### PreprocessorWrapper

public PreprocessorWrapper(@NotNull javax.servlet.Filter filter)
Create new preprocessor

Parameters:
  `filter` - wrapped filter

## Method Details

### getPreprocessor

public org.osgi.service.http.whiteboard.Preprocessor getPreprocessor()
Get the preprocessor

Returns:
  The preprocessor